ruby-concurrency ruby-concurrency

concurrent-ruby

7 8 0

Modern concurrency tools including agents, futures, promises, thread pools, supervisors, and more. Inspired by Erlang, Clojure, Scala, Go, Java, JavaScript, and classic concurrency patterns.

Dependencies

Package Locked Requirement Latest Status Changelog
There is no runtime dependency.
Package Locked Requirement Latest Status Changelog
Gems bench9000 >= 0 0.1

bench9000

Benchmarking tool which: has easy comparison of multiple Ruby implementations, does proper warmup, handles micro-benchmarks.

This dependency is up-to-date. Congrats and keep going!

Gems benchmark-ips ~> 2.7 2.7.2

benchmark-ips

An iterations per second enhancement to Benchmark.

This dependency is up-to-date. Congrats and keep going!

Gems countloc ~> 0.4.0 0.4.0

countloc

LOC metrics generation script implementation in Ruby.

This dependency is up-to-date. Congrats and keep going!

Gems coveralls ~> 0.8.2 0.8.21

coveralls

A Ruby implementation of the Coveralls API.

This dependency is up-to-date. Congrats and keep going!

Gems gem-compiler ~> 0.3.0 0.7.0

gem-compiler

A RubyGems plugin that helps generates binary gems from already existing ones without altering the original source code. It compiles Ruby C extensions and bundles the result into a new gem.

This dependency is not matching latest version. Please consider upgrading.

Gems md-ruby-eval >= 0 0.1.2

md-ruby-eval

Evaluator of Ruby examples in Markdown files.

This dependency is up-to-date. Congrats and keep going!

Gems pry >= 0 0.11.3

pry

An IRB alternative and runtime developer console

This dependency is up-to-date. Congrats and keep going!

Gems rake ~> 11.0 12.3.0

rake

Rake is a Make-like program implemented in Ruby. Tasks and dependencies are specified in standard Ruby syntax. Rake has the following features: * Rakefiles (rake's version of Makefiles) are completely defined in standard Ruby syntax. No XML files to edit. No quirky Makefile syntax to worry about (is that a tab or a space?) * Users can specify tasks with prerequisites. * Rake supports rule patterns to synthesize implicit tasks. * Flexible FileLists that act like arrays but know about manipulating file names and paths. * Supports parallel execution of tasks.

This dependency is not matching latest version. Please consider upgrading.

Gems rake-compiler ~> 0.9.5 1.0.4

rake-compiler

Provide a standard and simplified way to build and package Ruby extensions (C, Java) using Rake as glue.

This dependency is not matching latest version. Please consider upgrading.

Gems rake-compiler-dock ~> 0.4.3 0.6.1

rake-compiler-dock

Easy to use and reliable cross compiler environment for building Windows binary gems. Use rake-compiler-dock to enter an interactive shell session or add a task to your Rakefile to automate your cross build.

This dependency is not matching latest version. Please consider upgrading.

Gems redcarpet ~> 3.3 3.4.0

redcarpet

A fast, safe and extensible Markdown to (X)HTML parser

This dependency is up-to-date. Congrats and keep going!

Gems rspec ~> 3.3.0 3.7.0

rspec

BDD for Ruby

This dependency is not matching latest version. Please consider upgrading.

Gems simplecov ~> 0.10.0 0.15.1

simplecov

Code coverage for Ruby 1.9+ with a powerful configuration library and automatic merging of coverage across test suites

This dependency is not matching latest version. Please consider upgrading.

Gems timecop ~> 0.7.4 0.9.1

timecop

A gem providing "time travel" and "time freezing" capabilities, making it dead simple to test time-dependent code. It provides a unified method to mock Time.now, Date.today, and DateTime.now in a single call.

This dependency is not matching latest version. Please consider upgrading.

Gems yard ~> 0.8.0 0.9.10

yard

YARD is a documentation generation tool for the Ruby programming language. It enables the user to generate consistent, usable documentation that can be exported to a number of formats very easily, and also supports extending for custom Ruby constructs such as custom class level definitions.

This dependency is not matching latest version. Please consider upgrading.